<div class="ap-news-container">
  <a routerLink="/admin/news" class="back-button">
    <img class="back-img" src="assets/icons/arrow-icon.svg">
    <p class="back-text">Назад</p>
  </a>
  <form
    [formGroup]="articleForm"
    (ngSubmit)="editArticle()"
    class="form-container"
  >
    <div class="form__group field">
      <input
        formControlName="title"
        type="text"
        class="form__field"
        placeholder="Название статьи"
        name="title"
        id='title'/>
      <label for="title" class="form__label">Название статьи</label>
    </div>
    <div class="form__group field">
      <input
        formControlName="description"
        type="text" class="form__field"
        placeholder="Короткое описание"
        name="description"
        id='description'/>
      <label for="description" class="form__label">Короткое описание</label>
    </div>
    <div class="form__group field">
      <select
        formControlName="category"
        class="form__field select"
        placeholder="Категория"
        name="category"
        id='category'>
        <option value="Новости">Новости</option>
        <option value="Мероприятия">Мероприятия</option>
        <option value="Объявления">Объявления</option>
      </select>
      <label for="category" class="form__label">Категория</label>
    </div>
    <div class="form__group field">
      <quill-editor
        formControlName="body"
        id='body'
        class="editor"
        placeholder="Текст статьи"
      ></quill-editor>
      <label for="body" class="form__label editor-label">Текст статьи</label>
    </div>
    <div class="form__group field form-bottom">
      <button [disabled]="articleForm.invalid" class="btn">Обновить</button>
    </div>
  </form>
</div>
